=== doc/CMakeLists.txt ===
add_subdirectory(man)
add_subdirectory(tutorial)
