=== debian/changelog ===
supercell (2.1.1+~0.0~git20221028.d8eeb73-2) unstable; urgency=medium

  * Replace gemmi-dev with libgemmi-dev.

 -- Andrius Merkys <merkys@debian.org>  Thu, 12 Feb 2026 03:28:52 -0500

supercell (2.1.1+~0.0~git20221028.d8eeb73-1) unstable; urgency=medium

  * Initial release (Closes: #1118057)

 -- Andrius Merkys <merkys@debian.org>  Wed, 15 Oct 2025 08:40:59 -0400
