=== debian/control ===
Source: supercell
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 gemmi,
 libarchive-dev,
 libboost-program-options-dev,
 libboost-filesystem-dev,
 libboost-test-dev,
 libeigen3-dev,
 libgemmi-dev,
 libtbb-dev,
 pkgconf,
Standards-Version: 4.7.2
Homepage: https://github.com/orex/supercell
Vcs-Browser: https://salsa.debian.org/debichem-team/supercell
Vcs-Git: https://salsa.debian.org/debichem-team/supercell.git

Package: supercell
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: structure generation for crystals with substitutions and partial occupancies
 supercell is a combinatorial structure-generation approach for the local-level
 modeling of atomic substitutions and partial occupancies in crystals. It uses
 supercell approximation and enumeration algorithm to convert structures with
 vacancies and/or substitution to "binary" occupied. The program mostly uses to
 prepare DFT calculations of battery matrials, semiconductors etc.
