=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_before_dh_auto_configure:
	mkdir libs
	ln -s ../common-utils libs/common_utils

execute_before_dh_auto_clean:
	rm -rf libs
