=== debian/watch ===
Version: 5
Version-Schema: group

Template: Github
Owner: orex
Project: supercell

Component: common_utils
Source: https://github.com/orex/common_utils
Matching-Pattern: HEAD
Mode: git
