## supercell core-0.1.7

=== docs/requirements.txt ===
sphinx>=2.2.0
sphinx_rtd_theme
m2r
